const { sendMessage } = require('./utils');
const { reloadTasks } = require('./taskManager');

function registerCommands() {
    const cmd = mc.newCommand("schedtask", "调度任务管理", PermType.Any);

    // 添加命令枚举
    cmd.setEnum("ReloadAction", ["reload"]);
    cmd.mandatory("action", ParamType.Enum, "ReloadAction", 1);
    cmd.overload(["ReloadAction"]);

    // 设置命令回调
    cmd.setCallback((cmd, origin, output, results) => {
        const player = origin.player;
        const action = results.action;

        if (!player || player.isOP()) {
            switch (action) {
                case "reload":
                    reloadTasks(); // 调用任务重新加载函数
                    sendMessage(player, "任务配置已重新加载！", 'info');
                    break;
                default:
                    sendMessage(player, "未知的操作。", 'error');
                    break;
            }
        } else {
            sendMessage(player, "你没有权限执行此命令。", 'error');
        }
    });

    cmd.setup();
}

module.exports = { registerCommands };
